﻿////mr-bundler-ignore
var MrModify = function () {}
function MrStartUI() {
    MrMUISecoundryColor = '#CF9234';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 306;
    MrAudCid = 0;
    MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('lang') == 'ar-AE';
    MrArabicFlag = "uae";

    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {

           window.location.href =  jQuery('.lang .optionbtn').attr('href')
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

           window.location.href =  jQuery('.lang .optionbtn').attr('href')
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrReadSpeakerFeature","MrControl_Page_contrast","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrHideImgs"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
        var leftright = MrArabicUIisOn ? "left : 5px" : "right : 60px";
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 120px; "+leftright+"; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:6px;width:47px}",
        "MrbuttonCSS"
    );

    MrUAPAddStyle(".MrMUI-tab-container { padding: 5px; } ul#mr-tabs-list {padding-inline-start: unset;} .mr-muiTool {padding: 35px 20px 10px 20px;} .MrMUITabButtons:not(.MrMUILargeButton) {min-height: 100px;} .MrHeaderCloseBtn { margin-right: 4px;} .MrMUIHeaderDiv { width: 100%; padding: 3px 0px 3px 0px;} #MrMUIFooter { padding:unset; padding-bottom: 5px ; width:95%}","MRUIFixs");
    jQuery("body").append(MrIconToAdd);
  
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        
        MrMUIGetGoogleTranslationValues(2);
        setTimeout(function(){

        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
        },1000)
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
window.addEventListener("load",function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});